function [fields, vals] = flattenstruct(s, removeEmpties)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

if nargin < 2, removeEmpties = 1; end
if isempty(s), fields = {}; vals = {}; return, end
if prod(size(s)) ~= 1, error('input must be a 1x1 struct'), end
if iscell(s), s = s{1}; end
if isempty(s), fields = {}; vals = {}; return, end
if ~isstruct(s) | prod(size(s)) ~= 1, error('input must be a 1x1 struct'), end

fields = fieldnames(s);
vals = struct2cell(s);
remove = [];
for i = 1:length(vals)
	if isequal(vals{i}, [])
		if removeEmpties, remove(end+1) = i; end
	elseif isstruct(vals{i}) & prod(size(vals{i})) == 1
		remove(end+1) = i;
		[subfields subvals] = flattenstruct(vals{i}, removeEmpties);
		for j = 1:length(subfields)
			subfields{j} = [fields{i} '.' subfields{j}];
		end
		fields = [fields; subfields];
		vals = [vals; subvals];
	end
end
fields(remove) = [];
vals(remove) = [];
if isempty(fields)
	fields = {}; vals = {};
else
	[fields i] = sort(fields);
	vals = vals(i);
end
