function x = nchk(n, k)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

if size(k, 1) == 1, k = repmat(k, size(n, 1), 1); end
if size(k, 2) == 1, k = repmat(k, 1, size(n, 2)); end
if size(n, 1) == 1, n = repmat(n, size(k, 1), 1); end
if size(n, 2) == 1, n = repmat(n, 1, size(k, 2)); end

num = gammaln(n + 1);
denom1 = gammaln(k + 1);
denom2 = gammaln(n - k + 1);

x = num - denom1 - denom2;
x = exp(x);
x = round(x);
