function hOut = sendtofront(handles)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

hiddenHandleSetting = get(0, 'showhiddenhandles');
set(0, 'showhiddenhandles', 'on')
for h = handles(:)'
	if ishandle(h)
		p = get(h, 'parent');
		c = get(p, 'children');
		c(find(c == h)) = [];
		c = [h; c];
		set(p, 'children', c)
	end
end
set(0, 'showhiddenhandles', hiddenHandleSetting)
if nargout, hOut = handles; end
