function c = z2c(z)
% Z2C  converts a +/-Z score into a coverage probability
%
%    Z2C(1) = 0.683
%    Z2C(2) = 0.954
% 
% See also C2Z.

% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/


c = 2 * cumulativegaussian(z) - 1;
